//handle on install/update:
chrome.runtime.onInstalled.addListener((details) => {
    if (details.reason == "install") {
        console.log(Date(), "Welcome to Comments To Cats!");
        _gaq.push(['_trackEvent', 'background', 'installed']);
        chrome.tabs.create({url: "pages/welcome.html"});
        chrome.storage.sync.set({shown: 0}, () => {
        });
    }
    else if (details.reason == "update") {
        console.log(Date(), "Comments To Cats Update!");
        //chrome.tabs.create({url: "pages/update.html"}); //todo: remove me
        _gaq.push(['_trackEvent', 'background', 'updated']);
    } //only on update, update once a time not to double the added sites.
});

//handle uninstall
chrome.runtime.setUninstallURL("http://bit.ly/2mxAOBj", function () {
});

//check on change tab
chrome.tabs.onActivated.addListener((tabId, changeInfo, tab) => {
    setTabVisit();
});

//check on new tab
chrome.tabs.onUpdated.addListener((tabId, changeInfo, tab) => {
    if (changeInfo.status == 'loading') { //once
        setTabVisit();
    }
});

//messages:
chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
    switch (request.event) {
        case 'checkSite':
            checkSite(sender.url, sendResponse);
            return true; //sendResponse will answer
            break;
        case 'getCat': //getting cat's rate data
            $.ajax({
                type: "get",
                url: "http://commentstocats.com/rateacat/ratedata.php?id=" + request.catid + "&uid=" + request.uid,
                success: function (result) {
                    let obj = JSON.parse(result);
                    if (obj.status == "success") {
                        sendResponse({status: 'success', data: obj});
                    }
                    else {
                        sendResponse({status: 'fail', data: obj});
                    }
                },
                error: function (error) {
                    sendResponse({status: 'error', data: error});
                }
            });
            return true;
            break;
        case 'voteCat'://voting for cat:
            $.ajax({
                type: "get",
                url: "http://commentstocats.com/rateacat/ratecat.php?id=" + request.catid + "&uid=" + request.uid,
                success: function (result) {
                    let obj = JSON.parse(result);
                    if (obj.status == "success") {
                        sendResponse({status: 'success', data: obj});
                    }
                    else {
                        sendResponse({status: 'fail', data: obj});
                    }
                },
                error: function (error) {
                    sendResponse({status: 'error', data: error});
                }
            });
            return true;
            break;
        case 'ReRunNumOfCats':
            GetAndUpdateNumOfCats(function (response) {
                sendResponse({status: 'success', data: response});
            });
            return true;
            break;
        case 'ReRunUniqueID':
            createUID(function (err, res) {
                if (err) {
                    log(err, 'error');
                    sendResponse({status: 'failed'});
                } else {
                    log("We have UID");
                    sendResponse({status: 'success', data: res});
                }
            });
            return true;
            break;
        case 'logs':
            _gaq.push(['_trackEvent', 'contentScripts', request.name, request.value]);
            break;
        default:
        //none
    }
});

//runners:
chrome.browserAction.setBadgeBackgroundColor({color: "#e7325b"}); //initiate badge color

updater();
setInterval(() => {
    console.log(Date(), "Updating data...");
    updater();
}, 1000 * 60 * 60 * 24 * 3);