let showComments; //show state helper when hiding/showing the cats over the comments
let rules;
const intervalChecks = 200; //trying to find selectors in each interval gap
const timeoutSelectors = 8000; //will stop trying after this time

async.waterfall(
    [
        /*Check if extension is closed*/(cb) => {
        chrome.storage.sync.get('state', (result) => {
            if (!result.state)
                return cb("closed");
            cb();
        });
    },
        /*Check if site is active for comments hiding*/(cb) => {
        chrome.runtime.sendMessage({event: 'checkSite'}, (response) => {
            //can be supported or not, and if supported, activated or not
            if (response && response.shouldHide) {
                rules = response.rules;
                cb();
            } else {
                cb("noHide");
            }
        });
    },
        /*for single pages sites, if changed site and removed cat*/(cb) => {
        let current;
        setInterval(function () {
            let check = $("#catAcross")[0];
            if (!check && current != location.href) {
                current = location.href;
                cb();
            }
        }, 500);
    },
        /*hiding comments*/(cb) => {
        unDoneSelectors(rules);
        handleComments(rules, true, cb);
    },
        /*injecting cat*/(cb) => {
        injectCat(rules, cb);
    }
    ]
);

