C2C_Sites =
    [
        {
            domain: "ynet.co.il",
            domainRegex: "^http(s?)\:\/\/www\.ynet\.co\.il\/articles\/",
            type: "",
            "selectors": [
                {
                    "selector": "#stlkbctopheader",
                    examples: ["http://www.ynet.co.il/articles/0,7340,L-4889525,00.html"]
                }
            ],
            "replaceField": {
                "selector": "#stlkbctopheader"
            },
            last_update: "2017-01-28"
        },
        {
            domain: "youtube.com",
            domainRegex: "https\:\/\/www\.youtube\.com\/",
            type: "",
            ready: true,
            "selectors": [{
                "selector": "#watch-discussion",
                examples: ['https://www.youtube.com/watch?v=ORJMip-uCRk']
            }, {"selector": "#comment-section-renderer"}],
            "replaceField": {"selector": "#watch-discussion"}
        },
        {
            domain: "one.co.il",
            domainRegex: "http\:\/\/www\.one\.co.il",
            type: "",
            "selectors": [{
                "selector": "#CommentsTitler",
                examples: ['http://www.one.co.il/Article/16-17/2,620,1219,0/282442.html', 'http://www.one.co.il/cat/articles/PersonalColumn.aspx?id=282445&cid=28', 'http://www.one.co.il/Glitch/61159/%D7%94%D7%91%D7%98%D7%97%D7%AA-%D7%94%D7%9B%D7%A0%D7%A1%D7%94']
            },
                {
                    "selector": "#CommentsFilterBar",
                    examples: ['http://www.one.co.il/Glitch/61549/%D7%94%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F-', 'http://www.one.co.il/Article/16-17/2,620,1219,0/282442.html', 'http://www.one.co.il/cat/articles/PersonalColumn.aspx?id=282445&cid=28', 'http://www.one.co.il/Glitch/61159/%D7%94%D7%91%D7%98%D7%97%D7%AA-%D7%94%D7%9B%D7%A0%D7%A1%D7%94']
                },
                {
                    "selector": "#CommentsLoader",
                    examples: ['http://www.one.co.il/Glitch/61549/%D7%94%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F-', 'http://www.one.co.il/Article/16-17/2,620,1219,0/282442.html', 'http://www.one.co.il/cat/articles/PersonalColumn.aspx?id=282445&cid=28', 'http://www.one.co.il/Glitch/61159/%D7%94%D7%91%D7%98%D7%97%D7%AA-%D7%94%D7%9B%D7%A0%D7%A1%D7%94']
                },
                {
                    "selector": "#commentsNotFound",
                    examples: ['http://www.one.co.il/Glitch/61549/%D7%94%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F-', 'http://www.one.co.il/Article/16-17/2,620,1219,0/282442.html', 'http://www.one.co.il/cat/articles/PersonalColumn.aspx?id=282445&cid=28', 'http://www.one.co.il/Glitch/61159/%D7%94%D7%91%D7%98%D7%97%D7%AA-%D7%94%D7%9B%D7%A0%D7%A1%D7%94']
                },
                {
                    "selector": "#CommentsContainer",
                    examples: ['http://www.one.co.il/Glitch/61549/%D7%94%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F-', 'http://www.one.co.il/Article/16-17/2,620,1219,0/282442.html', 'http://www.one.co.il/cat/articles/PersonalColumn.aspx?id=282445&cid=28', 'http://www.one.co.il/Glitch/61159/%D7%94%D7%91%D7%98%D7%97%D7%AA-%D7%94%D7%9B%D7%A0%D7%A1%D7%94']
                }],
            "replaceField": {"selector": "#CommentsTitler"}
        },
        {
            domain: "mynet.co.il",
            domainRegex: "\.mynet(.*)?\.co\.il",
            type: "",
            "selectors": [{
                "selector": "#ctl00_ContentPlaceHolder1_FaceBookBlock",
                examples: ['http://mynethadera.co.il/article/3273']
            },
                {
                    "selector": "#ctl00_ContentPlaceHolder1_FaceBookBlock",
                    examples: ['http://mynethadera.co.il/article/3273']
                },
                {
                    "selectorSpecial": function () {
                        return $(".clearfix > table");
                    }, examples: ['http://www.mynet.co.il/articles/0,7340,L-4643426,00.html']
                }],
            "replaceField": [{"selector": "#ctl00_ContentPlaceHolder1_Comments_UpdatePanel1"}, {
                "selectorSpecial": function () {
                    return $(".clearfix > table");
                }
            }]
        },
        {
            domain: "sport5.co.il",
            domainRegex: "http\:\/\/www\.sport5.co.il",
            type: "",
            "selectors": [{
                "selector": "#spot-im-frame-inpage",
                examples: ['http://www.sport5.co.il/articles.aspx?FolderID=401&docID=231562&lang=HE']
            }],
            "replaceField": [
                {"selector": "#spot-im-frame-inpage"}]
        },
        {
            domain: "doublepass.sport5.co.il",
            domainRegex: "http\:\/\/doublepass\.sport5.co.il",
            type: "new",
            "selectors": [{"selector": ".comments", examples: ['http://doublepass.sport5.co.il/story.php?id=16850']}],
            "replaceField": {"selector": ".comments"}
        },
        {
            domain: ".buzzfeed.com",
            type: "",
            "selectors": [
                {
                    "selector": "#respond",
                    "examples": ["https://www.buzzfeed.com/jasonaleopold/us-intelligence-has-confirmed-parts-of-the-dossier-about-tru?utm_term=.klM5r1QbM#.upmgl0ReD"]
                },
                {
                    "selector": "#responses",
                    "examples": ["https://www.buzzfeed.com/jasonaleopold/us-intelligence-has-confirmed-parts-of-the-dossier-about-tru?utm_term=.klM5r1QbM#.upmgl0ReD"]
                },
                {
                    "selector": "#fb_comments_nexton",
                    "examples": ["https://www.buzzfeed.com/jasonaleopold/us-intelligence-has-confirmed-parts-of-the-dossier-about-tru?utm_term=.klM5r1QbM#.upmgl0ReD"]
                },
                {
                    "selector": "#fb_comments_control",
                    "examples": ["https://www.buzzfeed.com/jasonaleopold/us-intelligence-has-confirmed-parts-of-the-dossier-about-tru?utm_term=.klM5r1QbM#.upmgl0ReD"]
                }],
            "replaceField": {"selector": "#fb_comments_nexton"}
        },
        {
            domain: ".mako.co.il",
            type: "",
            "selectors": [
                {
                    "selector": "#talkbacksContainer",
                    "examples": ["http://www.mako.co.il/hix-nature/Article-2baa20bb9332a51006.htm?sCh=507f21c65f959510&pId=258168615&tab=pop"]
                }, {
                    "selector": "#talkbacks_wrapper",
                    "examples": ["http://www.mako.co.il/hix-nature/Article-2baa20bb9332a51006.htm?sCh=507f21c65f959510&pId=258168615&tab=pop"]
                }],
            "replaceField": {"selector": "#talkbacksContainer"}
        },
        {
            domain: ".nrg.co.il",
            type: "",
            "selectors": [
                {
                    "selector": ".spot-im-frame-inpage",
                    examples: ['http://www.nrg.co.il/online/1/ART2/863/215.html?hp=1&cat=404&loc=1']
                }, {
                    "selector": "#fbComments",
                    examples: ['http://www.nrg.co.il/online/1/ART2/863/215.html?hp=1&cat=404&loc=1']
                }
            ],
            "replaceField": {"selector": ".spot-im-frame-inpage"}
        },
        {
            domain: ".walla.co.il",
            type: "",
            "selectors": [
                {
                    "selector": ".social-facebook-comments",
                    "examples": ["http://news.walla.co.il/item/3039662"]
                },
                {
                    "selector": ".talkbacks",
                    "examples": ["http://news.walla.co.il/item/3039662"]
                }
            ],
            "replaceField": {"selector": ".talkbacks"}
        },
        {
            domain: "9gag.com",
            type: "",
            "selectors": [
                {"selector": "#comment", "examples": ["http://9gag.com/gag/aWmOOrK"]},
                {"selector": "#comments", "examples": ["http://9gag.com/gag/aWmOOrK"]},
                {"selector": ".post-comment", "examples": ["http://9gag.com/gag/aWmOOrK"]}],
            "replaceField": {"selector": "#comment"}
        },
        {
            domain: ".tmz.com",
            ready: true,
            type: "",
            "selectors": [{
                "selector": "#disqus_thread",
                "examples": ["http://www.tmz.com/2017/02/11/george-clooney-twins-amal-baby-dinner/"]
            },
                {
                    "selector": ".comment-rules",
                    "examples": ["http://www.tmz.com/2017/02/11/george-clooney-twins-amal-baby-dinner/"]
                }],
            "replaceField": {"selector": "#disqus_thread"}
        },
        {
            domain: "techcrunch.com",
            type: "",
            "selectors": [{
                "selector": "#fb-comment-container",
                "examples": ["https://techcrunch.com/2017/02/11/2017-the-year-your-startup-gets-funded/"]
            }],
            "replaceField": {"selector": "#fb-comment-container"}
        },
        {
            domain: "pleated-jeans.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                "examples": ["http://pleated-jeans.com/2017/02/10/15-savage-comebacks/"]
            }],
            "replaceField": {"selector": "#comments"}
        },
        {
            domain: ".rockpapershotgun.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                "examples": ["https://www.rockpapershotgun.com/2017/02/10/cities-skylines-roads/"]
            }],
            "replaceField": {"selector": "#comments"}
        },
        {
            domain: ".gamespot.com",
            type: "",
            "selectors": [{
                "selector": ".comments-block",
                "examples": ["http://www.gamespot.com/articles/nioh-review-roundup-update/1100-6447535/"]
            }],
            "replaceField": {"selector": ".comments-block"}
        },
        {
            domain: ".metacafe.com",
            type: "",
            "selectors": [{
                "selector": ".mc-comments",
                "examples": ["http://www.metacafe.com/galleries/6748/16-delightful-images-that-will-make-you-laugh/"]
            }],
            "replaceField": {"selector": ".mc-comments"}
        },
        {
            domain: "gizmodo.com",
            type: "",
            "selectors": [{
                "selector": "#js_discussion-region",
                "examples": ["http://gizmodo.com/paper-accidentally-runs-photo-of-alec-baldwin-instead-o-1792256197"]
            }],
            "replaceField": {"selector": "#js_discussion-region"}
        },
        {
            domain: ".mouse.co.il",
            type: "",
            "selectors": [{
                "selector": ".fb-comments",
                "examples": ["http://www.mouse.co.il/CM.articles_item,519,209,82276,.aspx"]
            },
                {
                    "selector": "[id*=ctrlResponses]",
                    "examples": ["http://www.mouse.co.il/CM.articles_item,519,209,82276,.aspx"]
                }],
            "replaceField": {"selector": ".fb-comments"}
        },
        {
            domain: ".haaretz.co.il",
            type: "",
            "selectors": [{
                "selector": "#article-comments",
                "examples": ["http://www.haaretz.co.il/news/politics/1.3848150"]
            }],
            "replaceField": {"selector": "#article-comments "}
        },
        {
            domain: "jezebel.com",
            type: "",
            "selectors": [{
                "selector": "#js_discussion-region",
                "examples": ["http://jezebel.com/sheriff-defends-jail-staff-who-forced-woman-to-give-bir-1792255760"]
            }],
            "replaceField": {"selector": "#js_discussion-region"}
        },
        {
            domain: ".dailymail.co.uk",
            type: "",
            "selectors": [{
                "selector": "#reader-comments",
                "examples": ["http://www.dailymail.co.uk/news/article-4204292/Socialite-Tara-Palmer-Tomkinson-dies-aged-45.html?mrn_rm=rta"]
            }],
            "replaceField": {"selector": "#reader-comments"}
        },
        {
            domain: ".eonline.com",
            type: "",
            "selectors": [{
                "selector": "#thyme_comment",
                "examples": ["http://www.eonline.com/news/830458/angelina-jolie-brings-her-and-brad-pitt-s-kids-to-her-first-public-appearance-since-divorce-filing"]
            }, {
                "selector": ".fb-comments-container",
                "examples": ["http://www.eonline.com/news/828515/flip-or-flop-s-tarek-and-christina-el-moussa-reunite-for-joint-appearance-amid-divorce"]
            }],
            "replaceField": [{"selector": "#thyme_comment"}, {"selector": ".fb-comments-container"}]
        },
        {
            domain: "jalopnik.com",
            type: "",
            "selectors": [{
                "selector": "#js_discussion-region",
                "examples": ["http://foxtrotalpha.jalopnik.com/donald-trump-screwed-up-a-big-opportunity-to-avoid-nucl-1792198491"]
            }],
            "replaceField": {"selector": "#js_discussion-region"}
        },
        {
            domain: "kotaku.com",
            type: "",
            "selectors": [{
                "selector": "#js_discussion-region",
                "examples": ["http://kotaku.com/ea-takes-3-000-back-from-madden-nfl-pro-for-inappropri-1792256909"]
            }],
            "replaceField": {"selector": "#js_discussion-region"}
        },
        {
            domain: "eyeonanime.com",
            type: "",
            "selectors": [{
                "selector": "#disqus_thread",
                "examples": ["http://eyeonanime.com/Dragon-Ball-Super/Dragon-Ball-Super-episode-77/"]
            }],
            "replaceField": {
                "selector": "#disqus_thread"
            }
        },
        {
            domain: ".israelhayom.co.il",
            type: "",
            "selectors": [{
                "selector": "#spot-im-frame-inpage",
                "examples": ["http://www.israelhayom.co.il/article/451393"]
            }, {
                "selector": ".facebook-comments",
                "examples": ["http://www.israelhayom.co.il/article/451393"]
            }],
            "replaceField": {
                "selector": "#spot-im-frame-inpage"
            }
        },
        {
            domain: ".deviantart.com",
            type: "",
            "selectors": [{
                "selector": ".tower-commentcontrol",
                "examples": ["http://www.deviantart.com/art/Mario-662810187"]
            }],
            "replaceField": {"selector": "#comments"}
        },
        {
            domain: ".theguardian.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                "examples": ["https://www.theguardian.com/sport/2017/feb/11/wales-england-six-nations-match-report"]
            }],
            "replaceField": {"selector": "#comments"}
        },
        {
            domain: ".digitaltrends.com",
            type: "",
            "selectors": [{
                "selector": ".m-comments",
                "examples": ["http://www.digitaltrends.com/features/ramin-djawadi-composer-of-game-of-thrones/"]
            }],
            "replaceField": {"selector": ".m-comments"}
        },
        {
            domain: ".techrepublic.com",
            type: "",
            "selectors": [{
                "selector": "#postComments",
                "examples": ["http://www.techrepublic.com/article/edge-computing-deserves-a-spot-in-your-big-data-playbook/"]
            }],
            "replaceField": {"selector": "#postComments"}
        },
        {
            domain: ".geek.com",
            type: "",
            "selectors": [
                {
                    "selector": ".commentsblock",
                    "examples": ["https://www.geek.com/movies/marvel-has-already-released-an-epic-teaser-from-the-set-of-avengers-infinity-war-1688441/"]
                },
                {
                    "selector": "#disqus_thread",
                    "examples": ["https://www.geek.com/movies/marvel-has-already-released-an-epic-teaser-from-the-set-of-avengers-infinity-war-1688441/"]
                }],
            "replaceField": {
                "selector": ".commentsblock"
            }
        },
        {
            domain: "lifehacker.com",
            type: "",
            "selectors": [{
                "selector": "#js_discussion-region",
                "examples": ["http://lifehacker.com/answer-the-tell-me-about-yourself-interview-question-1792152108"]
            }],
            "replaceField": {
                "selector": "#js_discussion-region"
            }
        },
        {
            domain: "thepiratebay.org",
            domainRegex: "\.thepiratebay\.",
            type: "",
            "selectors": [{
                "selector": "#commentsheader",
                "examples": ["https://thepiratebay.org/torrent/17068975/Underworld.Blood.Wars.2017.HDRip.XviD.AC3-EVO"]
            },
                {
                    "selector": "#comments",
                    "examples": ["https://thepiratebay.org/torrent/17068975/Underworld.Blood.Wars.2017.HDRip.XviD.AC3-EVO"]
                }],
            "replaceField": {
                "selector": "#commentsheader"
            }
        },
        {
            domain: ".break.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                "examples": ["http://www.break.com/pictures/lunch-break-021017-3079698"]
            }],
            "replaceField": {
                "selector": "#comments"
            }
        },
        {
            domain: ".theblaze.com",
            type: "",
            "selectors": [{
                "selector": "#comsParent",
                "examples": ["http://www.theblaze.com/news/2017/02/11/report-72-people-from-trumps-list-of-muslim-countries-have-been-convicted-of-terrorism-since-911/"]
            }],
            "replaceField": {
                "selector": "#comsParent"
            }
        },
        {
            domain: "people.com",
            type: "",
            "selectors": [{
                "selector": ".comments",
                "examples": ["http://people.com/tv/cash-me-ousside-teen-danielle-bregoli-tells-dr-phil-you-were-nothing-before-me/"]
            }],
            "replaceField": {
                "selector": ".comments"
            }
        },
        {
            domain: ".avclub.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                "examples": ["http://www.avclub.com/article/worldwide-radio-behind-scenes-doc-and-comic-s-more-249865"]
            }],
            "replaceField": {
                "selector": "#comments"
            }
        },
        {
            domain: ".geektime.co.il",
            type: "",
            "selectors": [{
                "selector": ".fb-comments",
                "examples": ["http://www.geektime.co.il/geekstarter-10-02-17/"]
            }, {"selector": "#comments", "examples": ["http://www.geektime.co.il/geekstarter-10-02-17/"]}],
            "replaceField": [{"selector": "#comments"}, {"selector": "#comments"}]
        }
        ,
        {
            domain: ".themarker.com",
            type: "",
            "selectors": [{
                "selector": "#article-comments",
                "examples": ["http://www.themarker.com/realestate/1.3848243"]
            }],
            "replaceField": {
                "selector": "#article-comments"
            }
        }
        ,
        {
            domain: "kissanime.ru",
            type: "",
            "selectors": [{
                "selector": "#leftside > div:nth-child(7)",
                "examples": ["http://kissanime.ru/Anime/Rewrite-Moon-and-Terra"]
            }],
            "replaceField": {
                "selector": "#leftside > div:nth-child(7)"
            }
        }
        ,
        {
            domain: "scratch.mit.edu",
            type: "",
            "selectors": [{
                "selector": "#content > div.cols.related > div.col-11 > div",
                "examples": ["https://scratch.mit.edu/projects/142292538/"]
            }],
            "replaceField": {
                "selector": "#content > div.cols.related > div.col-11 > div"
            }
        }
        ,
        {
            domain: ".cbc.ca",
            type: "",
            "selectors": [{
                "selector": "#commentwrapper",
                "examples": ["http://www.cbc.ca/sports/olympics/winter/speedskating/world-single-distance-speed-skating-1.3978559"]
            }],
            "replaceField": {
                "selector": "#commentwrapper"
            }
        }
        ,
        {
            domain: "watch32.is",
            type: "",
            "selectors": [{
                "selector": "#watch",
                "examples": ["http://watch32.is/movie/keGLa6dV-season-of-the-witch.html"]
            }],
            "replaceField": {
                "selector": "#watch"
            }
        }
        ,
        {
            domain: ".funwithpuzzles.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                "examples": ["http://www.funwithpuzzles.com/2016/12/fun-math-brain-teasers.html"]
            }],
            "replaceField": {
                "selector": "#comments"
            }
        },
        {
            domain: "cheezburger.com",
            type: "",
            "selectors": [{
                "selector": ".spot-im-frame-inpage",
                examples: ['http://cheezburger.com/85270273/win-video-man-clicks-mouse-one-million-times']
            }],
            "replaceField": [
                {"selector": ".spot-im-frame-inpage"}]
        }
        ,
        {
            domain: ".iflscience.com",
            type: "",
            "selectors": [{
                "selector": ".comments-wrap",
                examples: ['http://www.iflscience.com/editors-blog/science-says-couples-in-lasting-relationships-typically-wait-this-long-to-start-having-sex/']
            }],
            "replaceField": {
                "selector": ".comments-wrap"
            }
        }
        ,
        {
            domain: ".nfl.com",
            type: "",
            "selectors": [{
                "selector": ".fb-comments",
                examples: ["http://www.nfl.com/news/story/0ap3000000786436/article/2017-nfl-draft-player-comps-for-prospects"]
            }],
            "replaceField": {
                "selector": ".fb-comments"
            }
        }
        ,
        {
            domain: ".nationalgeographic.com",
            type: "",
            "selectors": [{
                "selector": ".comments",
                examples: ["http://news.nationalgeographic.com/2017/02/honeybees-honey-insects-pollen-agriculture/"]
            }],
            "replaceField": {
                "selector": ".comments"
            }
        }
        ,
        {
            domain: "waterfordwhispersnews.com",
            type: "",
            "selectors": [{
                "selector": ".FB-Comments-Title",
                "examples": ["http://waterfordwhispersnews.com/2017/02/17/backpacker-returns-from-12-month-trip-with-wisdom-knowledge-and-penis-like-a-sock-full-of-old-strawberries/"]
            }, {
                "selector": ".fb-comments",
                "examples": ["http://waterfordwhispersnews.com/2017/02/17/backpacker-returns-from-12-month-trip-with-wisdom-knowledge-and-penis-like-a-sock-full-of-old-strawberries/"]
            }],
            "replaceField": {
                "selector": ".FB-Comments-Title"
            }
        }
        ,
        {
            domain: ".playbuzz.com",
            type: "",
            "selectors": [{
                "selector": "#discussion",
                "examples": ["http://www.playbuzz.com/avibwx10/the-9-best-psychological-horror-movies-of-all-time?homepageItemLocation=agg_card&homepageFeedItemCategory=editors_picks"]
            }],
            "replaceField": {
                "selector": "#discussion"
            }
        }
        ,
        {
            domain: ".livejournal.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                "examples": ["http://ohnotheydidnt.livejournal.com/105135722.html"]
            }],
            "replaceField": {
                "selector": "#comments"
            }
        }
        ,
        {
            domain: ".uol.com.br",
            type: "",
            "selectors": [{
                "selector": "#comentarios",
                examples: ["https://noticias.uol.com.br/ultimas-noticias/agencia-estado/2017/02/18/forca-tarefa-no-rio-negocia-nova-delacao-envolvendo-cabral.htm"]
            }],
            "replaceField": {
                "selector": "#comentarios"
            }
        }
        ,
        {
            domain: ".cracked.com",
            type: "",
            "selectors": [{
                "selector": "#Comments",
                examples: ["http://www.cracked.com/blog/ever-steeped-your-dong-in-coffee-5-goofy-sex-products_p2/"]
            }],
            "replaceField": {
                "selector": "#Comments"
            }
        }
        ,
        {
            domain: ".msn.com",
            type: "",
            "selectors": [{
                "selector": "#fbcommentsmodule",
                examples: ["http://www.msn.com/he-il/entertainment/tv/%D7%A9%D7%95%D7%98%D7%A8%D7%99%D7%9D-%D7%94%D7%92%D7%99%D7%A2%D7%95-%D7%9C%D7%91%D7%99%D7%AA-%D7%94%D7%90%D7%97-%D7%94%D7%92%D7%93%D7%95%D7%9C-%D7%91%D7%92%D7%9C%D7%9C-%D7%90%D7%9E%D7%99%D7%A8%D7%95%D7%AA-%D7%A9%D7%9C-%D7%94%D7%9E%D7%AA%D7%9E%D7%95%D7%93%D7%93-%D7%90%D7%99%D7%A0%D7%93%D7%9C/ar-AAn2ELB?li=BBqrI8m"]
            }],
            "replaceField": {
                "selector": "#fbcommentsmodule"
            }
        }
        ,
        {
            domain: "listverse.com",
            type: "",
            "selectors": [{
                "selector": "#disqus_thread",
                examples: ["http://listverse.com/2017/02/18/10-incredible-things-seen-by-humankind-only-once/"]
            }],
            "replaceField": {
                "selector": "#disqus_thread"
            }
        }
        ,
        {
            domain: "guff.com",
            type: "",
            "selectors": [{
                "selector": ".fb-comments-container",
                examples: ["http://guff.com/justin-timberlake-revealed-the-real-reason-he-left-nsync"]
            }],
            "replaceField": {
                "selector": ".fb-comments-container"
            }
        }
        ,
        {
            domain: ".thesun.co.uk",
            type: "",
            "selectors": [{
                "selector": "#comments",
                examples: ["https://www.thesun.co.uk/tvandshowbiz/2884199/danny-dyer-forced-to-quit-eastenders-to-sort-his-life-out-after-string-of-benders/"]
            }],
            "replaceField": {
                "selector": "#comments"
            }
        }
        ,
        {
            domain: ".boredpanda.com",
            type: "",
            "selectors": [{
                "selector": "#post-comments-area",
                examples: ["http://www.boredpanda.com/i-gave-these-cats-bizarre-likes-and-dislikes-to-help-get-them-adopted/?cexp_id=1781&cexp_var=1&_f=featured"]
            }],
            "replaceField": {
                "selector": "#post-comments-area"
            }
        }
        ,
        {
            domain: "elitedaily.com",
            type: "",
            "selectors": [{
                "selector": "#comment-area",
                examples: ["http://elitedaily.com/entertainment/celebrity/kim-kardashian-platinum-blonde-paris-hilton/1796748/"]
            }],
            "replaceField": {
                "selector": "#comment-area"
            }
        }
        ,
        {
            domain: "vigilantcitizen.com",
            type: "",
            "selectors": [{
                "selector": "#comments",
                examples: ["http://vigilantcitizen.com/musicbusiness/grammy-awards-2017-protesting-king-worshiping-queen/"]
            }],
            "replaceField": {
                "selector": "#comments"
            }
        },
        {
            domain: "imgur.com",
            type: "new",
            "selectors": [{"selector": "#comments-container", examples: ["http://imgur.com/gallery/6SYht"]}],
            "replaceField": {
                "selector": "#comments-container"
            }
        },
        {
            domain: "ign.com",
            type: "new",
            "selectors": [{
                "selector": ".disqus",
                examples: ["http://il.ign.com/ntplyqs/23952/feature/qyyt-mqynvn-tdbb-t-gbrt-pryzl-bkhydvsh-lsdrh-shl-vtvbvs-hqsm"]
            }, {
                "selector": "#article_comments",
                examples: ["http://www.ign.com/articles/2017/01/06/the-batman-9-director-choices-who-could-replace-ben-affleck"]
            }],
            "replaceField": [{"selector": ".disqus"}, {"selector": ".comments"}]
        }
    ]
;

if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') { //for loading as moudle in nodejs
    module.exports = C2C_Sites;
}